#! /opt/python/bin/python
# -*- coding: utf-8 -*-
# @(#) $Id: example.py 1.2 Mon, 01 Sep 2008 17:01:01 +0200 mxp $

# This example uses the "german" grammar included in the Malaga distribution.
# You'll probably need to adapt the path to the project file.

import malaga
import pprint

g  = malaga.MalagaGrammar('/opt/malaga-7/grammars/german/german.pro')
pp = pprint.PrettyPrinter(indent=2)

print "1. Information about the grammar:"
print g.get_info()

print "2. Morphologic analysis:"
pp.pprint(g.analyze("Bahnhof"))

print "\n3. Syntactic analysis:"
a = g.analyze("Björn ist in der Stadt.", malaga.SYNTAX)
pp.pprint(a)

print "\n4. Print surfaces and functions of the arguments:"
for arg in a[0]['arguments']:
    print '%s (%s)' % (arg['surf'], arg['function'])
