from distutils.core import setup, Extension

module1 = Extension('_pymalaga',
                    define_macros = [('MAJOR_VERSION', '1'),
                                     ('MINOR_VERSION', '0')],
                    #include_dirs = ['/opt/malaga/include'],
                    libraries = ['malaga'],
                    #runtime_library_dirs = ['/opt/malaga/lib'],
                    #library_dirs = ['/opt/malaga/lib'],
                    sources = ['_pymalagamodule.c'])

setup (name = 'malaga',
       # $Format: "       version = '$ProjectVersion$',"$
       version = '0.5',
       description = 'Python interface to Malaga grammars',
       author = 'Michael Piotrowski',
       author_email = 'mxp@dynalabs.de',
       url = 'http://www.dynalabs.de/',
       long_description = '''
This module provides access to Malaga grammars from Python programs.
Malaga is a software package for the development and application of
grammars.  Malaga grammars are typically used for the linguistic
analysis of words and sentences of natural languages.
''',
       py_modules = ['malaga'],
       ext_modules = [module1])
